When attempting to install SP3 for our horribly outdated WSS 3.0 server (Server 2003) I get the following error message.

"The expected version of the product was not found on your system."

I've followed the guidance listed in the Technet forums so far as trying to install new Language packs to bring the version number up to snuff, but so far no dice. I cannot locate the existing one(s) that are installed on the system. When I try to install the new one I get a prompt that states the update has already been installed. Has anyone else had this problem or know of the remedy?

0 Comments   [ + ] Show Comments


Please log in to comment



Have you tried repairing the product then trying to install the update? Is it an MSI based update?

What do you mean by exsisting ones? The lang packs? Are the lang packs MSI? If so, they maybe cached in the windows installer cache - not sure if that will help.


Answered 05/10/2013 by: rileyz
Red Belt

  • Tried that no dice. According to what I'm finding is the whole XP era of products will display this when a language pack or some other update was applied. Hence changing the version number to something other than what the SP 3 installer is expecting. The problem is when I try to locate the language pack out of 200+ entries it doesn't show, and when I try to install it claims that it's already there. I'm deferring to MS Support on this one since it's a production system and we need to start migration soon.
Please log in to comment
Answer this question or Comment on this question for clarity